import es, wcs, gamethread, random, popuplib, playerlib
from wcs import wcs


name = 'Alive'
race = wcs.Race(name)
race.registerSkill('<Alive> Stealth', 4, 1, 'You become more invisble.')
race.registerSkill('<Alive> Speed', 4, 1, 'You become faster.')
race.registerSkill('<Alive> Gravity', 4, 1, 'You become lighter.')
race.registerSkill('<Alive> Weapon', 1, 1, 'You spawn with an M4A1.')
race.registerSkill('<Alive> Experience', 10, 1, 'You gain experiance per hit.')
race.registerUltimate('<Alive> Health', 10, 10, 1, 'You gain health.')


def player_spawn(ev):
	userid = int(ev['userid'])
	speed = wcs.GetLevel(userid, name, '<Alive> Speed')
	gravity = wcs.GetLevel(userid, name, '<Alive> Gravity')
	stealth = wcs.GetLevel(userid, name, '<Alive> Stealth')
	weapon = wcs.GetLevel(userid, name, '<Alive> Weapon')
	player = wcs.Command(userid)
	if wcs.GetRace(userid) == 'Alive':   
		if speed:
			player.Speed(1+(speed*.05))
			es.tell(userid,'#multi','#green<Alive> Speed #default- #lightgreenActivated.')
		if gravity:
			player.SetGravity(1-(gravity*.05))
			es.tell(userid,'#multi','#green<Alive> Gravity #default- #lightgreenActivated.')
		if stealth:
			player.Color(alpha=255-(stealth*25))
			es.tell(userid,'#multi','#green<Alive> Stealth #default- #lightgreenActivated.')
		if weapon:
			es.server.queuecmd('est_Give %s weapon_m4a1'%userid)
			es.tell(userid,'#multi','#green<Alive> Weapon #default- #lightgreenActivated.')
def prep_hurt(ev):
	userid = int(ev['userid'])
	attacker = int(ev['attacker'])
	exp = wcs.GetLevel(attacker, name, '<Alive> Experience')    
	player = wcs.Command(attacker)
	if attacker:
		if exp:
			if exp >= random.randint(1,50):
				player.GiveXp(10*exp)
				es.tell(attacker,'#multi','#green<Alive> Experience #default- #lightgreenYou have been given #green%s experience#lightgreen.'%(10*exp))
def player_ulitmate_on(ev):
	userid = int(ev['userid'])
	player = wcs.Command(userid)
	health = wcs.GetLevel(userid, name, '<Alive> Health')
	if health:
		player.HealthAdd(40*health) 
		es.tell(userid,'#multi','#green<Alive> Health #default- #lightgreenActivated.')
